# Lazy algebra framework

[![Stable Doc.][doc-stable-img]][doc-stable-url]
[![Dev. Doc.][doc-dev-img]][doc-dev-url]
[![License][license-img]][license-url]
[![Build Status][github-ci-img]][github-ci-url]
[![Build Status][appveyor-img]][appveyor-url]
[![Coverage][codecov-img]][codecov-url]

**LazyAlgebra** is a [Julia](http://julialang.org/) package to generalize the
notion of matrices and vectors used in
[linear algebra](https://en.wikipedia.org/wiki/Linear_algebra).

This package is used in:
- [OptimPackNextGen](https://github.com/emmt/OptimPackNextGen.jl) which
  provides optimization methods for large scale problems in pure Julia.
- [LinearInterpolators](https://github.com/emmt/LinearInterpolators.jl) which
  provides methods for interpolating multi-dimensional arrays.

Similar Julia packages:
- [LinearMaps](https://github.com/Jutho/LinearMaps.jl)
- [LinearOperators](https://github.com/JuliaSmoothOptimizers/LinearOperators.jl)


[doc-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[doc-stable-url]: https://emmt.github.io/LazyAlgebra.jl/stable

[doc-dev-img]: https://img.shields.io/badge/docs-dev-blue.svg
[doc-dev-url]: https://emmt.github.io/LazyAlgebra.jl/dev

[license-url]: ./LICENSE.md
[license-img]: http://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat

[github-ci-img]: https://github.com/emmt/LazyAlgebra.jl/actions/workflows/CI.yml/badge.svg?branch=master
[github-ci-url]: https://github.com/emmt/LazyAlgebra.jl/actions/workflows/CI.yml?query=branch%3Amaster

[appveyor-img]: https://ci.appveyor.com/api/projects/status/github/emmt/LazyAlgebra.jl?branch=master
[appveyor-url]: https://ci.appveyor.com/project/emmt/LazyAlgebra-jl/branch/master

[codecov-img]: http://codecov.io/github/emmt/LazyAlgebra.jl/coverage.svg?branch=master
[codecov-url]: http://codecov.io/github/emmt/LazyAlgebra.jl?branch=master
